RestMonitorConfiguration¶
- class oci.apm_synthetics.models.RestMonitorConfiguration(**kwargs)¶
Bases:
MonitorConfigurationRequest configuration details for the REST monitor type.
Attributes:
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the config_type property of a MonitorConfiguration.
A constant which can be used with the request_method property of a RestMonitorConfiguration.
A constant which can be used with the request_method property of a RestMonitorConfiguration.
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration.
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration.
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration.
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration.
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration.
Gets the client_certificate_details of this RestMonitorConfiguration.
Gets the config_type of this MonitorConfiguration.
Gets the dns_configuration of this MonitorConfiguration.
Gets the is_certificate_validation_enabled of this RestMonitorConfiguration.
Gets the is_failure_retried of this MonitorConfiguration.
Gets the is_redirection_enabled of this RestMonitorConfiguration.
Gets the network_configuration of this RestMonitorConfiguration.
Gets the req_authentication_details of this RestMonitorConfiguration.
Gets the req_authentication_scheme of this RestMonitorConfiguration.
Gets the request_headers of this RestMonitorConfiguration.
Gets the request_method of this RestMonitorConfiguration.
Gets the request_post_body of this RestMonitorConfiguration.
Gets the request_query_params of this RestMonitorConfiguration.
Gets the verify_response_codes of this RestMonitorConfiguration.
Gets the verify_response_content of this RestMonitorConfiguration.
Methods:
__init__(**kwargs)Initializes a new RestMonitorConfiguration object with values from keyword arguments.
get_subtype(object_dictionary)Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- CONFIG_TYPE_BROWSER_CONFIG = 'BROWSER_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “BROWSER_CONFIG”
- CONFIG_TYPE_DNSSEC_CONFIG = 'DNSSEC_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “DNSSEC_CONFIG”
- CONFIG_TYPE_DNS_SERVER_CONFIG = 'DNS_SERVER_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “DNS_SERVER_CONFIG”
- CONFIG_TYPE_DNS_TRACE_CONFIG = 'DNS_TRACE_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “DNS_TRACE_CONFIG”
- CONFIG_TYPE_FTP_CONFIG = 'FTP_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “FTP_CONFIG”
- CONFIG_TYPE_NETWORK_CONFIG = 'NETWORK_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “NETWORK_CONFIG”
- CONFIG_TYPE_REST_CONFIG = 'REST_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “REST_CONFIG”
- CONFIG_TYPE_SCRIPTED_BROWSER_CONFIG = 'SCRIPTED_BROWSER_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “SCRIPTED_BROWSER_CONFIG”
- CONFIG_TYPE_SCRIPTED_REST_CONFIG = 'SCRIPTED_REST_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “SCRIPTED_REST_CONFIG”
- CONFIG_TYPE_SQL_CONFIG = 'SQL_CONFIG'¶
A constant which can be used with the config_type property of a MonitorConfiguration. This constant has a value of “SQL_CONFIG”
- REQUEST_METHOD_GET = 'GET'¶
A constant which can be used with the request_method property of a RestMonitorConfiguration. This constant has a value of “GET”
- REQUEST_METHOD_POST = 'POST'¶
A constant which can be used with the request_method property of a RestMonitorConfiguration. This constant has a value of “POST”
- REQ_AUTHENTICATION_SCHEME_BASIC = 'BASIC'¶
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration. This constant has a value of “BASIC”
- REQ_AUTHENTICATION_SCHEME_BEARER = 'BEARER'¶
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration. This constant has a value of “BEARER”
- REQ_AUTHENTICATION_SCHEME_NONE = 'NONE'¶
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration. This constant has a value of “NONE”
- REQ_AUTHENTICATION_SCHEME_OAUTH = 'OAUTH'¶
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration. This constant has a value of “OAUTH”
- REQ_AUTHENTICATION_SCHEME_RESOURCE_PRINCIPAL = 'RESOURCE_PRINCIPAL'¶
A constant which can be used with the req_authentication_scheme property of a RestMonitorConfiguration. This constant has a value of “RESOURCE_PRINCIPAL”
- __init__(**kwargs)¶
Initializes a new RestMonitorConfiguration object with values from keyword arguments. The default value of the
config_typeattribute of this class isREST_CONFIGand it should not be changed. The following keyword arguments are supported (corresponding to the getters/setters of this class):- Parameters
config_type (str) – The value to assign to the config_type property of this RestMonitorConfiguration. Allowed values for this property are: “BROWSER_CONFIG”, “SCRIPTED_BROWSER_CONFIG”, “REST_CONFIG”, “SCRIPTED_REST_CONFIG”, “NETWORK_CONFIG”, “DNS_SERVER_CONFIG”, “DNS_TRACE_CONFIG”, “DNSSEC_CONFIG”, “FTP_CONFIG”, “SQL_CONFIG”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
is_failure_retried (bool) – The value to assign to the is_failure_retried property of this RestMonitorConfiguration.
dns_configuration (oci.apm_synthetics.models.DnsConfiguration) – The value to assign to the dns_configuration property of this RestMonitorConfiguration.
is_redirection_enabled (bool) – The value to assign to the is_redirection_enabled property of this RestMonitorConfiguration.
is_certificate_validation_enabled (bool) – The value to assign to the is_certificate_validation_enabled property of this RestMonitorConfiguration.
request_method (str) – The value to assign to the request_method property of this RestMonitorConfiguration. Allowed values for this property are: “GET”, “POST”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
req_authentication_scheme (str) – The value to assign to the req_authentication_scheme property of this RestMonitorConfiguration. Allowed values for this property are: “OAUTH”, “NONE”, “BASIC”, “BEARER”, “RESOURCE_PRINCIPAL”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
req_authentication_details (oci.apm_synthetics.models.RequestAuthenticationDetails) – The value to assign to the req_authentication_details property of this RestMonitorConfiguration.
client_certificate_details (oci.apm_synthetics.models.ClientCertificateDetails) – The value to assign to the client_certificate_details property of this RestMonitorConfiguration.
request_headers (list[oci.apm_synthetics.models.Header]) – The value to assign to the request_headers property of this RestMonitorConfiguration.
request_query_params (list[oci.apm_synthetics.models.RequestQueryParam]) – The value to assign to the request_query_params property of this RestMonitorConfiguration.
request_post_body (str) – The value to assign to the request_post_body property of this RestMonitorConfiguration.
verify_response_content (str) – The value to assign to the verify_response_content property of this RestMonitorConfiguration.
verify_response_codes (list[str]) – The value to assign to the verify_response_codes property of this RestMonitorConfiguration.
network_configuration (oci.apm_synthetics.models.NetworkConfiguration) – The value to assign to the network_configuration property of this RestMonitorConfiguration.
- property client_certificate_details¶
Gets the client_certificate_details of this RestMonitorConfiguration.
- Returns
The client_certificate_details of this RestMonitorConfiguration.
- Return type
- property config_type¶
Gets the config_type of this MonitorConfiguration. Type of configuration.
Allowed values for this property are: “BROWSER_CONFIG”, “SCRIPTED_BROWSER_CONFIG”, “REST_CONFIG”, “SCRIPTED_REST_CONFIG”, “NETWORK_CONFIG”, “DNS_SERVER_CONFIG”, “DNS_TRACE_CONFIG”, “DNSSEC_CONFIG”, “FTP_CONFIG”, “SQL_CONFIG”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The config_type of this MonitorConfiguration.
- Return type
str
- property dns_configuration¶
Gets the dns_configuration of this MonitorConfiguration.
- Returns
The dns_configuration of this MonitorConfiguration.
- Return type
- static get_subtype(object_dictionary)¶
Given the hash representation of a subtype of this class, use the info in the hash to return the class of the subtype.
- property is_certificate_validation_enabled¶
Gets the is_certificate_validation_enabled of this RestMonitorConfiguration. If certificate validation is enabled, then call will fail for certificate errors.
- Returns
The is_certificate_validation_enabled of this RestMonitorConfiguration.
- Return type
bool
- property is_failure_retried¶
Gets the is_failure_retried of this MonitorConfiguration. If isFailureRetried is enabled, then a failed call will be retried.
- Returns
The is_failure_retried of this MonitorConfiguration.
- Return type
bool
- property is_redirection_enabled¶
Gets the is_redirection_enabled of this RestMonitorConfiguration. If redirection is enabled, then redirects will be allowed while accessing target URL.
- Returns
The is_redirection_enabled of this RestMonitorConfiguration.
- Return type
bool
- property network_configuration¶
Gets the network_configuration of this RestMonitorConfiguration.
- Returns
The network_configuration of this RestMonitorConfiguration.
- Return type
- property req_authentication_details¶
Gets the req_authentication_details of this RestMonitorConfiguration.
- Returns
The req_authentication_details of this RestMonitorConfiguration.
- Return type
- property req_authentication_scheme¶
Gets the req_authentication_scheme of this RestMonitorConfiguration. Request HTTP authentication scheme.
Allowed values for this property are: “OAUTH”, “NONE”, “BASIC”, “BEARER”, “RESOURCE_PRINCIPAL”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The req_authentication_scheme of this RestMonitorConfiguration.
- Return type
str
- property request_headers¶
Gets the request_headers of this RestMonitorConfiguration. List of request headers. Example: [{“headerName”: “content-type”, “headerValue”:”json”}]
- Returns
The request_headers of this RestMonitorConfiguration.
- Return type
- property request_method¶
Gets the request_method of this RestMonitorConfiguration. Request HTTP method.
Allowed values for this property are: “GET”, “POST”, ‘UNKNOWN_ENUM_VALUE’. Any unrecognized values returned by a service will be mapped to ‘UNKNOWN_ENUM_VALUE’.
- Returns
The request_method of this RestMonitorConfiguration.
- Return type
str
- property request_post_body¶
Gets the request_post_body of this RestMonitorConfiguration. Request post body content.
- Returns
The request_post_body of this RestMonitorConfiguration.
- Return type
str
- property request_query_params¶
Gets the request_query_params of this RestMonitorConfiguration. List of request query params. Example: [{“paramName”: “sortOrder”, “paramValue”: “asc”}]
- Returns
The request_query_params of this RestMonitorConfiguration.
- Return type
- property verify_response_codes¶
Gets the verify_response_codes of this RestMonitorConfiguration. Expected HTTP response codes. For status code range, set values such as 2xx, 3xx.
- Returns
The verify_response_codes of this RestMonitorConfiguration.
- Return type
list[str]
- property verify_response_content¶
Gets the verify_response_content of this RestMonitorConfiguration. Verify response content against regular expression based string. If response content does not match the verifyResponseContent value, then it will be considered a failure.
- Returns
The verify_response_content of this RestMonitorConfiguration.
- Return type
str